## quickbib 0.4.1

=== requirements.txt ===
PyQt6
doi2bib3

=== debian/changelog ===
quickbib (0.4.1-6) unstable; urgency=medium

  * Closes: #1121420 (ITP)
  * Fix debian warnings

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 26 Nov 2025 12:53:43 -0500

quickbib (0.4.1-4) unstable; urgency=medium

  * Fix debian warnings

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 26 Nov 2025 12:52:43 -0500

quickbib (0.4.1-3) unstable; urgency=medium

  * Fix debian warnings

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 26 Nov 2025 12:38:32 -0500

quickbib (0.4.1-2) unstable; urgency=medium

  * Closes: #1121420 (ITP)
  * Fixed lintian warnings

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 26 Nov 2025 10:58:24 -0500

quickbib (0.4.1-1) unstable; urgency=medium

  * fix duplicate bibtex key

 -- Archisman Panigrahi <apandada1@gmail.com>  Sat, 22 Nov 2025 12:01:34 -0500

quickbib (0.4.0-1) unstable; urgency=medium

  * added how to use

 -- Archisman Panigrahi <apandada1@gmail.com>  Tue, 11 Nov 2025 13:28:00 -0500

quickbib (0.3.3-1) unstable; urgency=medium

  * Enter to search and new icon

 -- Archisman Panigrahi <apandada1@gmail.com>  Mon, 10 Nov 2025 23:23:16 -0500

quickbib (0.3.2-1) unstable; urgency=medium

  * fix about dialog

 -- Archisman Panigrahi <apandada1@gmail.com>  Fri, 31 Oct 2025 00:17:23 -0400

quickbib (0.3.1-1) unstable; urgency=medium

  * fix license path

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 29 Oct 2025 20:31:14 -0400

quickbib (0.3-1) unstable; urgency=medium

  * use better formatting of output

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 29 Oct 2025 18:51:45 -0400

quickbib (0.2-1) unstable; urgency=medium

  * New version with bugfixes

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 29 Oct 2025 12:50:22 -0400

quickbib (0.1.0-1) unstable; urgency=medium

  * Initial Debian packaging using Meson build system.

 -- Archisman Panigrahi <maintainer@example.com>  Tue, 28 Oct 2025 12:00:00 +0000

=== debian/control ===
Source: quickbib
Section: utils
Priority: optional
Maintainer: Archisman Panigrahi <apandada1@gmail.com>
Homepage: https://github.com/archisman-panigrahi/QuickBib
Vcs-Git: https://github.com/archisman-panigrahi/QuickBib.git
Vcs-Browser: https://github.com/archisman-panigrahi/QuickBib
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, meson, ninja-build, pkgconf
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: quickbib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyqt6, python3-doi2bib3
Description: Quickly get BibTeX from a DOI
 QuickBib helps you quickly generate BibTeX bibliographic entries from identifiers such as DOIs, arXiv IDs, article URLs and their titles.
 Enter an identifier and QuickBib will fetch the metadata and produce a ready-to-use BibTeX entry which you can copy to your clipboard and use in your LaTeX documents.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=meson

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	# Use meson's default configure step; set builddir to build
	# Use meson's default configure step; dh passes --prefix and --buildtype
	# itself, so avoid passing -Dprefix or -Dbuildtype to prevent duplicate
	# argument errors. Keep -Db_ndebug to enable non-debug builds.
	dh_auto_configure -- -Db_ndebug=true

=== debian/watch ===
version=4
opts=filenamemangle=s/.*/QuickBib-$1.tar.gz/
https://github.com/archisman-panigrahi/QuickBib/releases .*/tag/v?(\d+(?:\.\d+)*)
